Skip to main content
GET
/
v1
/
crm
/
residuals
List ISO Residual Historical Summaries
curl --request GET \
  --url https://api.example.com/v1/crm/residuals \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "totalCount": 123,
    "totalPages": 123,
    "page": 123,
    "perPage": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "period": "<string>",
      "portfolioName": "<string>",
      "accounts": 0,
      "transactions": 0,
      "volume": 123,
      "income": 123,
      "gross": 123,
      "payout": 123,
      "adjustment": 123,
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "audienceClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "<string>",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "client": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Query Parameters

q
string
size
number
default:20
page
number
default:1
sort
string
default:-createdAt
filter
object
expand
searchable
string[]
before
object
after
object
audienceClientId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

The paginated list of ISO residual historical summaries.

meta
object
required
data
object[]
required